Bug 413321 - (inotail) Review Request: inotail - An inotify-enabled tail replacement
Review Request: inotail - An inotify-enabled tail replacement
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-05 21:19 EST by Jesse Keating
Modified: 2013-01-09 21:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-15 04:11:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2007-12-05 21:19:20 EST
Spec URL: http://jkeating.fedorapeople.org/review/inotail.spec
SRPM URL: http://jkeating.fedorapeople.org/review/inotail-0.5-2.src.rpm
Description: 
inotail is a replacement for the 'tail' program found in the base
installation of every Linux/UNIX system. It makes use of the inotify
infrastructure in recent versions of the Linux kernel to speed up
tailing files in the follow mode (the '-f' option). Standard tail polls
the file every second by default while inotail listens to special events
sent by the kernel through the inotify API to determine whether a file
needs to be reread.
Comment 1 Parag AN(पराग) 2007-12-05 22:01:28 EST
do we need to care about CFLAGS here?
man page is not following upstream timestamp.
Comment 2 Jesse Keating 2007-12-06 06:58:41 EST
(In reply to comment #1)
> do we need to care about CFLAGS here?

Oops, forgot that.

> man page is not following upstream timestamp.
> 

Not sure what you mean by this.  The man page is part of the archive, rpmbuild
gzips it during install.

http://jkeating.fedorapeople.org/review/inotail.spec
http://jkeating.fedorapeople.org/review/inotail-0.5-3.src.rpm
Comment 3 Parag AN(पराग) 2007-12-06 07:52:58 EST
(In reply to comment #2)
> (In reply to comment #1)
> > do we need to care about CFLAGS here?
> 
> Oops, forgot that.
> 
> > man page is not following upstream timestamp.
> > 
> 
> Not sure what you mean by this.  The man page is part of the archive, rpmbuild
> gzips it during install.
> 
 I guess its not needed( only for copying commands in SPEC)  as per said in
http://fedoraproject.org/wiki/Packaging/Guidelines#head-0239576e441f9ef53d175c4aec8c12868dffb5ab

I see no issues with new SPEC.
rpmlint is clean
source matched upstream
82d4d05f86d6069e95c4b73e4004f15f  inotail-0.5.tar.bz2
Packaging look good.
APPORVED.

Also,
You may like to add disttag.
Comment 4 Jesse Keating 2007-12-06 08:03:57 EST
oh yeah, the dist tag wasn't on the source of the spec, I added it.

New Package CVS Request
=======================
Package Name: inotail
Short Description: An inotify-enabled tail replacement
Owners: jkeating
Branches: 
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-12-06 16:04:57 EST
cvs done.
Comment 6 Parag AN(पराग) 2007-12-15 04:11:18 EST
Package already built for requested branch. Therefore, closing this review now.
Comment 7 Moritz Barsnick 2008-01-14 04:01:00 EST
Can I re-open or append for improval? (If not, I'll file a new ticket.)

The SPEC file has such a line in the %install section:
chmod 0755 %{buildroot}/usr/bin/inotail

a) Permissions can (or should?) be forced in the %files section using %attr.
b) %{buildroot}/usr/bin must comply with the %files's %{_bindir}. One of the 
two is wrong. Assuming this tool has a very hand-crafted Makefile, and it is 
built using "prefix=%{buildroot}/usr", "/usr/bin" may (or may not) be the 
correct choice.

Thanks for the tool, by the way. :)

Note You need to log in before you can comment on or make changes to this bug.